#ifndef __GKSU_PRIVATE_H__
#define __GKSU_PRIVATE_H__

typedef struct _GkConf GkConf;

/**
 * GkConf:
 * @xauth: the X authorization token
 * @display: storage for the DISPLAY environment variable
 * @title: the title of the window which asks for password
 * @message: the label to be put at the window which asks for 
 * password
 * @icon: path for the icon the window will use
 * @user: user gksu will switch to
 * @command: which command to run with su
 * @login_shell: should run a login shell?
 * @keep_env: should the current environment be kept?
 * @grab: should gksu try to gra X keyboard and mouse?
 * @debug: show debug information?
 * @ssh_fwd: are we running inside a ssh X11 forwarding
 * tunnel?
 *
 * Structure to hold all configuration information, some
 * important environment variables and some meta-information
 * about mainly x authentication.
 *
 */
struct _GkConf
{
  gchar *xauth;
  gchar *dir;

  gchar *display;

  gchar *title;
  gchar *message;
  gchar *icon;

  gchar *user;

  gchar *command;

  gboolean login_shell;
  gboolean keep_env;
  gboolean grab;

  gboolean debug;
  gboolean ssh_fwd;
};

int
prepare_xauth ();

void
ask_pass_ok_cb (GtkWidget *w, gpointer data);

void
report_failed_grab (void);

GkConf*
gksu_get_conf ();

#endif
